Appearance
Get order history detail by order ID
GET
/v1/orders/history/detail/orderid/{orderId}
Get a detailed history of an order's statuses. This call returns an array of Order Status objects. The latest and most up-to-date status of this order is the zeroth element in the array.
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Parameters
Path Parameters
orderId*
The order ID provided by VALR
Type
Requiredstring
Responses
Order history detail retrieved successfully
application/json
JSON
[
{
"orderId": "01981766-9288-7624-a5fa-3942fdda6f70",
"orderStatusType": "Failed",
"currencyPair": "BTCUSDT",
"originalPrice": "0",
"remainingQuantity": "0.00000786",
"originalQuantity": "0.00000786",
"orderSide": "sell",
"orderType": "market",
"failedReason": "Order cancelled as it would have matched outside of slippage price band",
"orderUpdatedAt": "2025-07-17T08:00:54.927Z",
"orderCreatedAt": "2025-07-17T08:00:54.920Z",
"customerOrderId": "1234",
"executedFee": "0",
"executedPrice": "0",
"executedQuantity": "0",
"timeInForce": "IOC"
}
]